using System;
using System.Collections.Generic;

using skydiveLogs_api.Business.Interfaces;
using skydiveLogs_api.DomainService.Repositories;
using skydiveLogs_api.Domain;


namespace skydiveLogs_api.Business
{
    public class GearService : IGearService
    {
        public GearService(IGearRepository gearRepository)
        {
            _gearRepository = gearRepository;
        }

        public void AddNewGear(Gear newGear,
                               User connectedUser)
        {
            newGear.User = connectedUser;
            _gearRepository.Add(newGear);
        }

        public void DeleteGearById(int id)
        {
            throw new NotImplementedException();
        }

        public Gear GetGearById(int id)
        {
            return _gearRepository.GetById(id);
        }

        public IEnumerable<Gear> GetAllGears(User connectedUser)
        {
            return _gearRepository.GetAll(connectedUser);
        }

        public void UpdateGear(int id, Gear Gear)
        {
            throw new NotImplementedException();
        }

        private readonly IGearRepository _gearRepository;
    }
}
